--企业和固废 监测点监测项目--
insert into 业务_企业监测项目时间段(监测年,企业代码,企业类型,监测点代码,监测点名称,监测项目编号,起始日期,结止日期,执行标准代码,执行标准条件代码)
select a.* from (
		select distinct 监测年,企业代码,企业类型,监测点代码,监测点名称,监测项目编号,convert(varchar(20),监测年)+'-01'+'-01' as 起始日期,convert(varchar(20),监测年)+'-12'+'-31' as 结止日期,执行标准代码,执行标准条件代码 
		from (select a.监测年,a.企业代码,a.监测点代码,a.监测点名称,a.企业类型,a.监测项目编号,
				a.监测项目名称,a.处理设施名称,a.是否安装在线监测设备,b.执行标准代码,b.执行标准条件代码 from 业务_企业监测点污染物信息 as a
				left join dbo.业务_废水排口信息 as b on a.监测年=b.监测年
				and a.企业代码=b.企业代码 and a.监测点代码=b.监测点代码
				and a.监测点名称=b.监测点名称
				where a.监测点代码 like 'WS%'
				union
				select a.监测年,a.企业代码,a.监测点代码,a.监测点名称,a.企业类型,a.监测项目编号,
				a.监测项目名称,a.处理设施名称,a.是否安装在线监测设备,b.执行标准代码,b.执行标准条件编码 as 执行标准条件代码 from 业务_企业监测点污染物信息 as a
				left join dbo.业务_废气监测点信息  as b on a.监测年=b.监测年
				and a.企业代码=b.企业代码 and a.监测点代码=b.监测点代码
				and a.监测点名称=b.监测点名称
				where a.监测点代码 like 'FQ%') aa
		) as a
		left  join 业务_企业监测项目时间段 as b on a.监测年=b.监测年 and a.企业代码=b.企业代码 and a.企业类型=b.企业类型
		and a.监测点代码=b.监测点代码 and a.监测项目编号=b.监测项目编号 and convert(datetime,a.起始日期)=b.起始日期
		and convert(datetime,a.结止日期)=b.结止日期 where b.id is null